﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using XamComboEditor_SA_Databinding.Model;

namespace XamComboEditor_SA_Databinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        private void refreshNokCMD_Click(object sender, RoutedEventArgs e)
        {
            try
            {

                Orchestrator orchestrator = this.DataContext as Orchestrator;
                if (orchestrator == null)
                    return;


                orchestrator.Item = new Item()
                {
                    Name = "item2",
                    ListValue = "value03"
                };

                orchestrator.ListItems.Clear();

                ListItem listItem;
                listItem = new ListItem()
                {
                    Value = "value01",
                    ValDescription = "value01 | Wert 1",
                    Description = "Wert 1"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value02",
                    ValDescription = "value02 | Wert 2",
                    Description = "Wert 2"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value03",
                    ValDescription = "value03 | Wert 3",
                    Description = "Wert 3"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value04",
                    ValDescription = "value04 | Wert 4",
                    Description = "Wert 4"
                };
                orchestrator.ListItems.Add(listItem);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void refreshOkCMD_Click(object sender, RoutedEventArgs e)
        {
            try
            {

                Orchestrator orchestrator = this.DataContext as Orchestrator;
                if (orchestrator == null)
                    return;


                

                orchestrator.ListItems.Clear();

                ListItem listItem;
                listItem = new ListItem()
                {
                    Value = "value01",
                    ValDescription = "value01 | Wert 1",
                    Description = "Wert 1"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value02",
                    ValDescription = "value02 | Wert 2",
                    Description = "Wert 2"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value03",
                    ValDescription = "value03 | Wert 3",
                    Description = "Wert 3"
                };
                orchestrator.ListItems.Add(listItem);

                listItem = new ListItem()
                {
                    Value = "value04",
                    ValDescription = "value04 | Wert 4",
                    Description = "Wert 4"
                };
                orchestrator.ListItems.Add(listItem);

                orchestrator.Item = new Item()
                {
                    Name = "item2",
                    ListValue = "value03"
                };
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, ex.Source, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
    }
}
