﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamComboEditor_SA_Databinding.Model
{
    public class ListItem : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, e);
        }

        private string _value;

        public string Value
        {
            get { return _value; }
            set
            {
                _value = value;
                OnPropertyChanged(new PropertyChangedEventArgs(nameof(Value)));
            }
        }

        private string _valDescription;

        public string ValDescription
        {
            get { return _valDescription; }
            set
            {
                _valDescription = value;
                OnPropertyChanged(new PropertyChangedEventArgs(nameof(ValDescription)));
            }
        }

        private string _description;

        public string Description
        {
            get { return _description; }
            set
            {
                _description = value;
                OnPropertyChanged(new PropertyChangedEventArgs(nameof(Description)));
            }
        }
    }
}
